org.apache.cassandra.index.sasi.analyzer

## Class NonTokenizingOptions.OptionsBuilder

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.NonTokenizingOptions.OptionsBuilder

Enclosing class:
  NonTokenizingOptions

    public static class NonTokenizingOptions.OptionsBuilder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`OptionsBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`NonTokenizingOptions` `build()`
`NonTokenizingOptions.OptionsBuilder` `caseSensitive(boolean caseSensitive)`
`NonTokenizingOptions.OptionsBuilder` `lowerCaseOutput(boolean lowerCaseOutput)`
`NonTokenizingOptions.OptionsBuilder` `upperCaseOutput(boolean upperCaseOutput)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptionsBuilder

    public OptionsBuilder()

### Method Detail

#### caseSensitive

    public NonTokenizingOptions.OptionsBuilder caseSensitive(boolean caseSensitive)

#### upperCaseOutput

    public NonTokenizingOptions.OptionsBuilder upperCaseOutput(boolean upperCaseOutput)

#### lowerCaseOutput

    public NonTokenizingOptions.OptionsBuilder lowerCaseOutput(boolean lowerCaseOutput)

#### build

    public NonTokenizingOptions build()